/*
Copyright © 2021-2023 IoT.bzh Company
Contact: https://www.iot.bzh/licensing

This file is part of the redpesk-cli project, the redpesk command line tool.

$RP_BEGIN_LICENSE$
Commercial License Usage
 Licensees holding valid commercial IoT.bzh licenses may use this file in
 accordance with the commercial license agreement provided with the
 Software or, alternatively, in accordance with the terms contained in
 a written agreement between you and The IoT.bzh Company. For licensing terms
 and conditions see https://www.iot.bzh/terms-conditions. For further
 information use the contact form at https://www.iot.bzh/contact.

GNU General Public License Usage
 Alternatively, this file may be used under the terms of the GNU General
 Public license version 3. This license is as published by the Free Software
 Foundation and appearing in the file LICENSE.GPLv3 included in the packaging
 of this file. Please review the following information to ensure the GNU
 General Public License requirements will be met
 https://www.gnu.org/licenses/gpl-3.0.html.
$RP_END_LICENSE$
*/

package cmd

const (
	// --------------------------------------------------------------
	// Subcommands and their subcommands ----------------------------
	// --------------------------------------------------------------

	// Main command
	iotpkgCommand      = "iotpkg"
	iotpkgCmdShortDesc = "Iotpkg wrapper (iotpkg running within the local-builder)"
	iotpkgCmdLongDesc  = `Iotpkg wrapper (iotpkg running within the local-builder).
This subcommand does not run rp-cli flag parsing. To pass a persistent flag, please use the configuration file or the environment variable.`
	// -------------

	// --------------------------------------------------------------
	// --------------------------------------------------------------

	// --------------------------------------------------------------
	// Events used --------------------------------------------------
	// --------------------------------------------------------------

	// --------------------------------------------------------------
	// --------------------------------------------------------------

	// --------------------------------------------------------------
	// Messages -----------------------------------------------------
	// --------------------------------------------------------------

	// Information messages
	// -------------

	// Error messages
	configFileNotFound     = "the configuration file used by rp-cli has not been found"
	hostPkgDirNotSetMsg    = "the gitpkgs/ directory path is not set, please set it in rp-cli configuration file"
	userNotInGitpkgsDirMsg = "the current working directory is not located in %s, please go there and re-run the command"
	// -------------

	// Debug messages
	// -------------

	// --------------------------------------------------------------
	// --------------------------------------------------------------
)
