module git.ovh.iot/redpesk/redpesk-infra/redpesk-cli

go 1.21

require (
	git.ovh.iot/redpesk/redpesk-infra/rp-golang-common/rphttp v0.0.0-20241024074455-24cdd1cdb1a2
	git.ovh.iot/redpesk/redpesk-infra/rp-golang-common/rputils v0.0.0-20231207230019-4fad7d6baf41
	git.ovh.iot/redpesk/redpesk-infra/rp-golang-common/rpwss v0.0.0-20231207230019-4fad7d6baf41
	git.ovh.iot/redpesk/redpesk-infra/rp-webserver/actions/rpapiv1 v0.0.0-20240821134504-86f0a45de264
	github.com/Netflix/go-expect v0.0.0-20220104043353-73e0943537d2
	github.com/creack/goselect v0.1.2
	github.com/franciscocpg/reflectme v1.0.0
	github.com/gofrs/uuid v4.4.0+incompatible
	github.com/gorilla/mux v1.8.0
	github.com/graarh/golang-socketio v0.0.0-20170510162725-2c44953b9b5f
	github.com/ianlewis/go-gitignore v0.1.0
	github.com/jinzhu/copier v0.4.0
	github.com/mitchellh/go-homedir v1.1.0
	github.com/pkg/errors v0.9.1
	github.com/sirupsen/logrus v1.9.3
	github.com/spf13/cobra v1.7.0
	github.com/spf13/pflag v1.0.5
	github.com/spf13/viper v1.16.0
	github.com/stretchr/testify v1.8.4
	golang.org/x/term v0.13.0
	golang.org/x/text v0.13.0
)

require (
	github.com/BurntSushi/toml v1.3.2 // indirect
	github.com/aymerick/douceur v0.2.0 // indirect
	github.com/creack/pty v1.1.17 // indirect
	github.com/danwakefield/fnmatch v0.0.0-20160403171240-cbb64ac3d964 // indirect
	github.com/davecgh/go-spew v1.1.1 // indirect
	github.com/dustin/go-humanize v1.0.1 // indirect
	github.com/fatih/color v1.15.0 // indirect
	github.com/fatih/structs v1.1.0 // indirect
	github.com/felixge/httpsnoop v1.0.3 // indirect
	github.com/fsnotify/fsnotify v1.6.0 // indirect
	github.com/gobuffalo/buffalo v1.1.0 // indirect
	github.com/gobuffalo/envy v1.10.2 // indirect
	github.com/gobuffalo/events v1.4.3 // indirect
	github.com/gobuffalo/flect v1.0.2 // indirect
	github.com/gobuffalo/github_flavored_markdown v1.1.4 // indirect
	github.com/gobuffalo/grift v1.5.2 // indirect
	github.com/gobuffalo/helpers v0.6.7 // indirect
	github.com/gobuffalo/logger v1.0.7 // indirect
	github.com/gobuffalo/meta v0.3.3 // indirect
	github.com/gobuffalo/nulls v0.4.2 // indirect
	github.com/gobuffalo/plush/v4 v4.1.19 // indirect
	github.com/gobuffalo/refresh v1.13.3 // indirect
	github.com/gobuffalo/tags/v3 v3.1.4 // indirect
	github.com/gobuffalo/validate/v3 v3.3.3 // indirect
	github.com/google/go-cmp v0.6.0 // indirect
	github.com/gorilla/css v1.0.0 // indirect
	github.com/gorilla/handlers v1.5.1 // indirect
	github.com/gorilla/securecookie v1.1.1 // indirect
	github.com/gorilla/sessions v1.2.1 // indirect
	github.com/gorilla/websocket v1.5.0 // indirect
	github.com/hashicorp/hcl v1.0.0 // indirect
	github.com/inconshreveable/mousetrap v1.1.0 // indirect
	github.com/jackc/pgpassfile v1.0.0 // indirect
	github.com/jackc/pgservicefile v0.0.0-20221227161230-091c0ba34f0a // indirect
	github.com/jackc/pgx/v5 v5.4.3 // indirect
	github.com/jinzhu/inflection v1.0.0 // indirect
	github.com/jinzhu/now v1.1.5 // indirect
	github.com/joho/godotenv v1.5.1 // indirect
	github.com/magiconair/properties v1.8.7 // indirect
	github.com/mattn/go-colorable v0.1.13 // indirect
	github.com/mattn/go-isatty v0.0.19 // indirect
	github.com/mattn/go-sqlite3 v1.14.17 // indirect
	github.com/microcosm-cc/bluemonday v1.0.25 // indirect
	github.com/mitchellh/mapstructure v1.5.0 // indirect
	github.com/monoculum/formam v3.5.5+incompatible // indirect
	github.com/pelletier/go-toml/v2 v2.1.0 // indirect
	github.com/pmezard/go-difflib v1.0.0 // indirect
	github.com/rogpeppe/go-internal v1.11.0 // indirect
	github.com/sergi/go-diff v1.3.1 // indirect
	github.com/sourcegraph/annotate v0.0.0-20160123013949-f4cad6c6324d // indirect
	github.com/sourcegraph/syntaxhighlight v0.0.0-20170531221838-bd320f5d308e // indirect
	github.com/spf13/afero v1.9.5 // indirect
	github.com/spf13/cast v1.5.1 // indirect
	github.com/spf13/jwalterweatherman v1.1.0 // indirect
	github.com/subosito/gotenv v1.6.0 // indirect
	golang.org/x/crypto v0.14.0 // indirect
	golang.org/x/mod v0.19.0 // indirect
	golang.org/x/net v0.16.0 // indirect
	golang.org/x/sync v0.7.0 // indirect
	golang.org/x/sys v0.26.0 // indirect
	gopkg.in/ini.v1 v1.67.0 // indirect
	gopkg.in/yaml.v2 v2.4.0 // indirect
	gopkg.in/yaml.v3 v3.0.1 // indirect
	gorm.io/driver/postgres v1.5.2 // indirect
	gorm.io/gorm v1.25.4 // indirect
)

// replace git.ovh.iot/redpesk/redpesk-infra/rp-webserver/actions/rpapiv1 => ../rp-webserver/actions/rpapiv1

// replace git.ovh.iot/redpesk/redpesk-infra/rp-webserver/actions/rpapiv1 => /home/devel/rp-webserver/actions/rpapiv1

// replace git.ovh.iot/redpesk/redpesk-infra/rp-golang-common/rputils => ../rp-golang-common/rputils
// replace git.ovh.iot/redpesk/redpesk-infra/rp-golang-common/rphttp => ../rp-golang-common/rphttp
// replace git.ovh.iot/redpesk/redpesk-infra/rp-golang-common/rpwss => ../rp-golang-common/rpwss
