# Introduction

`rp-cli` lets the user interact with the redpesk platform just as the redpesk web user interface (UI) does. But when the web UI is a fancy graphical environment, `rp-cli` is made to be an easy and efficient tool, based on command line.

This is why `rp-cli` is great to automate every single action that can be done on the web UI. Nevertheless it is also much more. Indeed, for all the command line heroes out there, `rp-cli` has been designed to be easily manipulated and to be as intuitive as possible thank to its auto-completion.

Furthermore, `rp-cli` is now able to work together with the [local builder]({% chapter_link local-builder-doc.introduction %}) in order to:

* Build and package locally your application (before creating it in the redpesk platform)
* Build a custom redpesk image locally 

It is therefore a great tool when you need a fast iteration process!

Currently `rp-cli` is available for Linux environments only.
